# Threaded::lock

(PECL pthreads < 3.0.0)

Threaded::lock — Synchronization

Warning

This method has been removed in pthreads v3. The Threaded::synchronized() method should now be used.

### Description

public Threaded::lock ( void ) : bool

Lock the referenced objects property table

### Parameters

This function has no parameters.

### Return Values

A boolean indication of success

### Examples

Example #1 Locking Object Properties

`<?php
class My extends Thread {
public function run() {
var_dump($this->lock());
/** nobody can read or write **/
var_dump($this->unlock());
/** reading / writing resumed for all other contexts */
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    bool(true)
    bool(true)